# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  /sbin/depmod -a 1> /dev/null 2> /dev/null
fi

( cd usr/man/man1 ; rm -rf python3.1 )
( cd usr/man/man1 ; ln -sf python3.4.1 python3.1 )
( cd usr/doc/python3-3.4.3 ; rm -rf Tools )
( cd usr/doc/python3-3.4.3 ; ln -sf /usr/lib/python3.4/site-packages Tools )
( cd usr/lib64/pkgconfig ; rm -rf python3.pc )
( cd usr/lib64/pkgconfig ; ln -sf python-3.4.pc python3.pc )
( cd usr/lib64/pkgconfig ; rm -rf python-3.4m.pc )
( cd usr/lib64/pkgconfig ; ln -sf python-3.4.pc python-3.4m.pc )
( cd usr/lib64 ; rm -rf libpython3.4m.so )
( cd usr/lib64 ; ln -sf libpython3.4m.so.1.0 libpython3.4m.so )
( cd usr/bin ; rm -rf python3.4-config )
( cd usr/bin ; ln -sf python3.4m-config python3.4-config )
( cd usr/bin ; rm -rf python3-config )
( cd usr/bin ; ln -sf python3.4-config python3-config )
( cd usr/bin ; rm -rf pyvenv )
( cd usr/bin ; ln -sf pyvenv-3.4 pyvenv )
( cd usr/bin ; rm -rf pydoc3 )
( cd usr/bin ; ln -sf pydoc3.4 pydoc3 )
( cd usr/bin ; rm -rf python3 )
( cd usr/bin ; ln -sf python3.4 python3 )
( cd usr/bin ; rm -rf 2to3 )
( cd usr/bin ; ln -sf 2to3-3.4 2to3 )
( cd usr/bin ; rm -rf idle3 )
( cd usr/bin ; ln -sf idle3.4 idle3 )
